Package com.plannaplan.models

# Class ConfigData

java.lang.Object
com.plannaplan.models.ConfigData

    public class ConfigData
    extends java.lang.Object

Config data copntainer to keep tours dates and stream of dasta to import

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ConfigData​(TourData firstTour, TourData secondTour, java.io.InputStream filestream)` | constructor

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.io.InputStream` | `getFilestream()` | filestream getter
`TourData` | `getFirstTour()` | first tour getter
`TourData` | `getSecondTour()` | second tour getter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigData

public ConfigData​(TourData firstTour, TourData secondTour, java.io.InputStream filestream)
constructor

Parameters:
  `firstTour` - date of first tours
  `secondTour` - date of second tours
  `filestream` - filestram with data to import

## Method Details

### getSecondTour

public TourData getSecondTour()
second tour getter

Returns:
  TourData second tour

### getFirstTour

public TourData getFirstTour()
first tour getter

Returns:
  TourData first tour

### getFilestream

public java.io.InputStream getFilestream()
filestream getter

Returns:
  InputStream with data to import